Skip to navigation

Get catalog brand model

Retrieve one charger model detail record by brand slug and model slug.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brand_slugstringRequired

Brand slug (URL-safe identifier) used to scope model discovery.

modelstringRequired

Model slug (URL-safe identifier) scoped under one brand.

Response

Model retrieved successfully
idstring
slugstring
namestring
brand_slugstring or nullOptional
brand_idstring or nullOptional
connector_countinteger or nullOptional
current_typestring or nullOptional
supported_kwhlist of doubles or nullOptional
connector_typeslist of strings or nullOptional
created_atdatetime or nullOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error